/*
 * PANDA -- a simple transaction monitor
 * Copyright (C) 1995-2009  Peter Mattis, Spencer Kimball and Josh MacDonald
 *               2009  Ogochan & JMA (Japan Medical Association).
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include	<windows.h>
#include	<tchar.h>
#include	<stdlib.h>
#include	<ctype.h>
#include	"debug.h"

static	_TCHAR	_debug_print_buf[1024+1];
extern	void
debug_printf(
	const _TCHAR *fmt, ...)
{
	_TCHAR	buf[1024+1];
	va_list	ap;

	va_start(ap,fmt);
	_vsntprintf(buf,1024, fmt, ap);
	va_end(ap);
	strcat(_debug_print_buf,buf);
}

extern	void
debug_line_start(void)
{
	*_debug_print_buf = 0;
}

extern	void
debug_line_flush(void)
{
	OutputDebugString(_debug_print_buf);
}
