#!/bin/sh
#
# Build script for cross compiling TCC for Win32
# for integration into SQLite ODBC driver.
# Tested on Fedora Core 3 and 5.
#
# Cross toolchain and NSIS for Linux/i386 can be fetched from
#  http://www.ch-werner.de/xtools/cross-mingw32-3.1-4.i386.rpm
#  http://www.ch-werner.de/xtools/nsis-2.11-1.i386.rpm

set -e

rm -rf ../TCC/*
sh cross-configure.sh --prefix=TCC --enable-mingw32
sh cross-make.sh clean all
sh cross-make.sh DESTDIR=../ install
sh cross-make.sh distclean
