/* InterBase6 用の ODBC ドライバ
 * Copyright (C) 2000-  J.Baba
 *
 * このソフトウェアはフリーソフトウェアです
 *
 */

#include "ibodbc.h"
#include <stdio.h>

SQLSMALLINT CvIbToSqlType( XSQLVAR *var ) ;
void PutAppData( IB_STMT *pstmt ) ;
void PutAppDataCol( IB_XCHG *xchg, XSQLVAR *var ) ;
void SetSrvErr( IB_ERRINFO *err ) ;

void my_log(char *str) ;

/*
**
*/

SQLRETURN SQL_API SQLDriverConnect(
    SQLHDBC            hdbc,
    SQLHWND            hwnd,
    SQLCHAR FAR       *szConnStrIn,
    SQLSMALLINT        cbConnStrIn,
    SQLCHAR FAR       *szConnStrOut,
    SQLSMALLINT        cbConnStrOutMax,
    SQLSMALLINT FAR   *pcbConnStrOut,
    SQLUSMALLINT       fDriverCompletion)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLBrowseConnect(
    SQLHDBC            hdbc,
    SQLCHAR FAR       *szConnStrIn,
    SQLSMALLINT        cbConnStrIn,
    SQLCHAR FAR       *szConnStrOut,
    SQLSMALLINT        cbConnStrOutMax,
    SQLSMALLINT FAR   *pcbConnStrOut)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLColumnPrivileges(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCatalogName,
    SQLSMALLINT        cbCatalogName,
    SQLCHAR FAR       *szSchemaName,
    SQLSMALLINT        cbSchemaName,
    SQLCHAR FAR       *szTableName,
    SQLSMALLINT        cbTableName,
    SQLCHAR FAR       *szColumnName,
    SQLSMALLINT        cbColumnName)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLDescribeParam(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       ipar,
    SQLSMALLINT FAR   *pfSqlType,
    SQLUINTEGER FAR   *pcbParamDef,
    SQLSMALLINT FAR   *pibScale,
    SQLSMALLINT FAR   *pfNullable)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLExtendedFetch(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       fFetchType,
    SQLINTEGER         irow,
    SQLUINTEGER FAR   *pcrow,
    SQLUSMALLINT FAR  *rgfRowStatus)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLForeignKeys(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szPkCatalogName,
    SQLSMALLINT        cbPkCatalogName,
    SQLCHAR FAR       *szPkSchemaName,
    SQLSMALLINT        cbPkSchemaName,
    SQLCHAR FAR       *szPkTableName,
    SQLSMALLINT        cbPkTableName,
    SQLCHAR FAR       *szFkCatalogName,
    SQLSMALLINT        cbFkCatalogName,
    SQLCHAR FAR       *szFkSchemaName,
    SQLSMALLINT        cbFkSchemaName,
    SQLCHAR FAR       *szFkTableName,
    SQLSMALLINT        cbFkTableName)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLMoreResults(
    SQLHSTMT           hstmt)
{
        return SQL_NO_DATA_FOUND;
}

SQLRETURN SQL_API SQLNativeSql(
    SQLHDBC            hdbc,
    SQLCHAR FAR       *szSqlStrIn,
    SQLINTEGER         cbSqlStrIn,
    SQLCHAR FAR       *szSqlStr,
    SQLINTEGER         cbSqlStrMax,
    SQLINTEGER FAR    *pcbSqlStr)
{
        return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLNumParams(
    SQLHSTMT           hstmt,
    SQLSMALLINT FAR   *pcpar)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLParamOptions(
    SQLHSTMT           hstmt,
    SQLUINTEGER        crow,
    SQLUINTEGER FAR   *pirow)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLPrimaryKeys(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCatalogName,
    SQLSMALLINT        cbCatalogName,
    SQLCHAR FAR       *szSchemaName,
    SQLSMALLINT        cbSchemaName,
    SQLCHAR FAR       *szTableName,
    SQLSMALLINT        cbTableName)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLProcedureColumns(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCatalogName,
    SQLSMALLINT        cbCatalogName,
    SQLCHAR FAR       *szSchemaName,
    SQLSMALLINT        cbSchemaName,
    SQLCHAR FAR       *szProcName,
    SQLSMALLINT        cbProcName,
    SQLCHAR FAR       *szColumnName,
    SQLSMALLINT        cbColumnName)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLProcedures(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCatalogName,
    SQLSMALLINT        cbCatalogName,
    SQLCHAR FAR       *szSchemaName,
    SQLSMALLINT        cbSchemaName,
    SQLCHAR FAR       *szProcName,
    SQLSMALLINT        cbProcName)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLSetPos(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       irow,
    SQLUSMALLINT       fOption,
    SQLUSMALLINT       fLock)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLTablePrivileges(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCatalogName,
    SQLSMALLINT        cbCatalogName,
    SQLCHAR FAR       *szSchemaName,
    SQLSMALLINT        cbSchemaName,
    SQLCHAR FAR       *szTableName,
    SQLSMALLINT        cbTableName)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLDrivers(
    SQLHENV            henv,
    SQLUSMALLINT       fDirection,
    SQLCHAR FAR       *szDriverDesc,
    SQLSMALLINT        cbDriverDescMax,
    SQLSMALLINT FAR   *pcbDriverDesc,
    SQLCHAR FAR       *szDriverAttributes,
    SQLSMALLINT        cbDrvrAttrMax,
    SQLSMALLINT FAR   *pcbDrvrAttr)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLBindParameter(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       ipar,
    SQLSMALLINT        fParamType,
    SQLSMALLINT        fCType,
    SQLSMALLINT        fSqlType,
    SQLUINTEGER        cbColDef,
    SQLSMALLINT        ibScale,
    SQLPOINTER         rgbValue,
    SQLINTEGER         cbValueMax,
    SQLINTEGER FAR    *pcbValue)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLAllocConnect(
    SQLHENV            henv,
    SQLHDBC FAR       *phdbc)
{
    IB_ENV *penv = (IB_ENV *)henv;
    IB_DBC *pdbc;

    if( penv == NULL ) return SQL_ERROR;
    if( penv->dbc == NULL ) {
        pdbc = penv->dbc = malloc( sizeof( IB_DBC ) );

    } else {
        pdbc = penv->dbc;
        while( pdbc->next_dbc ) pdbc = (IB_DBC *)pdbc->next_dbc;
        pdbc = pdbc->next_dbc = malloc( sizeof( IB_DBC ) );        
    }
    memset( pdbc, 0, sizeof( IB_DBC ) );
    pdbc->pare_env = penv;
    *phdbc = pdbc;
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLAllocEnv(
    SQLHENV FAR       *phenv)
{
    if( phenv == NULL ) return SQL_ERROR;
    *phenv = (SQLHENV)malloc( sizeof( IB_ENV ) );
    if( *phenv == NULL ) return SQL_ERROR;
    memset( *phenv, 0, sizeof( IB_ENV ) );
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLAllocStmt(
    SQLHDBC            hdbc,
    SQLHSTMT FAR      *phstmt)
{
    IB_DBC  * pdbc  = (IB_DBC  *)hdbc;
    IB_STMT * pstmt;
    ISC_STATUS  *status;

    if( pdbc == NULL ) return SQL_ERROR;

    status = pdbc->err.status;
    if( pdbc->stmt == NULL ) {
        pstmt = pdbc->stmt = malloc( sizeof( IB_STMT ) );
    } else {
        pstmt = pdbc->stmt;
        while( pstmt->next_stmt ) pstmt = pstmt->next_stmt;
        pstmt = pstmt->next_stmt = malloc( sizeof( IB_STMT ) );
    }
    memset( pstmt, 0, sizeof( IB_STMT ) );
    pstmt->pare_dbc = pdbc;
    if( isc_dsql_allocate_statement(status, &pdbc->db, &pstmt->isc_hstmt ) ) {
        SetSrvErr( &pdbc->err ) ;
        return SQL_ERROR;
    }
    *phstmt = (SQLHSTMT)pstmt;
    return SQL_SUCCESS;
}


// 方針
//   内部的には、既にバインドは終わっている。
//   ここでは、ドライバがアプリケーション側に返す情報を定義、記憶する。
SQLRETURN SQL_API SQLBindCol(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       icol,
    SQLSMALLINT        fCType,
    SQLPOINTER         rgbValue,
    SQLINTEGER         cbValueMax,
    SQLINTEGER FAR    *pcbValue)
{
    IB_STMT *pstmt = (IB_STMT *)hstmt;
    XSQLDA *sqlda;
    XSQLVAR *var;
    IB_XCHG *xchg;

    if( pstmt == NULL ) return SQL_ERROR;
    if( ( sqlda = pstmt->sqlda ) == NULL ) return SQL_ERROR;
    if( icol <= 0 || icol > sqlda->sqld  ) return SQL_ERROR;
    var = &sqlda->sqlvar[icol-1];
    xchg = &pstmt->xchgs[icol-1];
    xchg->is_bind = TRUE;
    xchg->ctype = fCType;
    xchg->data  = rgbValue;
    xchg->limit = cbValueMax;
    xchg->pind  = pcbValue;
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLCancel(
    SQLHSTMT           hstmt)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLColAttributes(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       icol,
    SQLUSMALLINT       fDescType,
    SQLPOINTER         rgbDesc,
    SQLSMALLINT        cbDescMax,
    SQLSMALLINT FAR   *pcbDesc,
    SQLINTEGER FAR    *pfDesc)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLConnect(
    SQLHDBC            hdbc,
    SQLCHAR FAR       *szDSN,
    SQLSMALLINT        cbDSN,
    SQLCHAR FAR       *szUID,
    SQLSMALLINT        cbUID,
    SQLCHAR FAR       *szAuthStr,
    SQLSMALLINT        cbAuthStr)
{
    IB_DBC *pdbc = (IB_DBC *)hdbc;
    char dpb_buf[ 256 ] , *dpb;
    char user_name[ 256 ], password[ 256 ];
    char database[ 256 ];
    short dpb_length;
    ISC_STATUS *status;

    if( pdbc == NULL  ) return SQL_ERROR;
    if( pdbc->is_open ) return SQL_ERROR;

    status = pdbc->err.status;
    dpb = dpb_buf;
    *dpb++ = isc_dpb_version1;
    *dpb++ = isc_dpb_num_buffers;
    *dpb++ = 1;
    *dpb++ = 90;
    dpb_length = dpb - dpb_buf;

    // 仮 "ODBC.INI" に Database=xxx と書いておく
    IBGetDSNInfo( database, sizeof(database), szDSN, "Database" );

    if( cbUID == SQL_NTS || cbUID <= 0 ) {
        strcpy( user_name, szUID );
    } else {
        int len;
        strncpy( user_name, szUID, len = MIN( cbUID, sizeof( user_name ) ) );
        user_name[ len ] = 0;
    }

    if( cbAuthStr == SQL_NTS || cbAuthStr <= 0 ) {
        strcpy( password, szAuthStr );
    } else {
        int len;
        strncpy( password, szAuthStr, len = MIN( cbAuthStr, sizeof( password ) ) );
        password[len]=0;
    }

    dpb = dpb_buf;
    isc_expand_dpb( &dpb, &dpb_length,
        isc_dpb_user_name, user_name,
        isc_dpb_password, password, NULL
        );

    isc_attach_database( status,
        strlen(database), database, &pdbc->db, dpb_length, dpb );

    if( status[0] == 1 && status[1])
    {
        // char w_buf[ 256 ];
        // sprintf( w_buf, "データベース(%s)に接続出来ません！", database );
        SetSrvErr( &pdbc->err ) ;
        return SQL_ERROR;
    }
    pdbc->is_open = TRUE;

    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLDescribeCol(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       icol,
    SQLCHAR FAR       *szColName,
    SQLSMALLINT        cbColNameMax,
    SQLSMALLINT FAR   *pcbColName,
    SQLSMALLINT FAR   *pfSqlType,
    SQLUINTEGER FAR   *pcbColDef,
    SQLSMALLINT FAR   *pibScale,
    SQLSMALLINT FAR   *pfNullable)
{
    IB_STMT *pstmt = (IB_STMT *)hstmt;
    XSQLDA *sqlda;
    XSQLVAR *var;
    int len;

    if( pstmt == NULL ) return SQL_ERROR;
    if( ( sqlda = pstmt->sqlda ) == NULL ) return SQL_ERROR;
    if( icol <= 0 || icol > sqlda->sqld  ) return SQL_ERROR;
    var = &sqlda->sqlvar[icol-1];
    if( szColName ) {
        len = MIN( var->sqlname_length, cbColNameMax);
        strncpy( szColName, var->sqlname, len );
        if( pcbColName ) *pcbColName = len;
    }
    if( pfSqlType ) {
        *pfSqlType = CvIbToSqlType( var );
    }
    if( pcbColDef ) {
        *pcbColDef = var->sqllen; // とりあえず
    }

    if( pibScale ) {
        *pibScale = var->sqllen; // とりあえず
    }

    if( pfNullable ) {
        if( var->sqltype & 1 ) {
            *pfNullable = 1;
        } else {
            *pfNullable = 0;
        }
    }
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLDisconnect(
    SQLHDBC            hdbc)
{
    IB_DBC *pdbc = (IB_DBC *)hdbc;
    ISC_STATUS *status;

    if( pdbc == NULL ) return SQL_ERROR;

    status = pdbc->err.status;
    // トランザクションハンドルがあれば閉じる
    if( pdbc->htrans ) {
        isc_rollback_transaction( status, &pdbc->htrans );
    }

    isc_detach_database( status, &pdbc->db );
    if( status[0] == 1 && status[1])
    {
        SetSrvErr( &pdbc->err ) ;
        return SQL_ERROR;
    }
    pdbc->is_open = FALSE;
    return SQL_SUCCESS;
}

// 通知するエラーがなければ、必ず、SQL_ERROR を返さなければならない

SQLRETURN SQL_API SQLError(
    SQLHENV            henv,
    SQLHDBC            hdbc,
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szSqlState,
    SQLINTEGER FAR    *pfNativeError,
    SQLCHAR FAR       *szErrorMsg,
    SQLSMALLINT        cbErrorMsgMax,
    SQLSMALLINT FAR   *pcbErrorMsg)
{
    IB_ENV  * penv  = (IB_ENV  *)henv;
    IB_DBC  * pdbc  = (IB_DBC  *)hdbc;
    IB_STMT * pstmt = (IB_STMT *)hstmt;
    IB_ERRINFO *perr = NULL;
    int len;

    my_log("sqlerror...");
    if( szSqlState ) {
        strcpy( szSqlState, "9999" );
    }
    if( pfNativeError ) {
        *pfNativeError = 9999;
    }
    if( szErrorMsg ) {
        *szErrorMsg = 0;  // NULL String
    }

    if( pstmt ) {
        perr = &pstmt->err;
    } else
    if( pdbc ) {
        perr = &pdbc->err;
    } else
    if( henv ) {
        perr = &penv->err;
    } else
        return SQL_ERROR;

    if( !perr->is_server ) {
        my_log("sqlerror...odbc...");
        if( *perr->msg == 0 ) {
            return SQL_ERROR;
        }
    } else {
        if( perr->pstatus == NULL ) perr->pstatus = perr->status;
        my_log("sqlerror...server...");
        if( isc_interprete(perr->msg, &perr->pstatus ) ) {
            my_log("sqlerror...server...get!");
            perr->native = perr->status[1];
        } else {
            my_log("sqlerror...server...no get!");
            SetSrvErr( perr ) ;
            return SQL_ERROR;
        }
    }
    len = strlen( perr->msg );
    my_log( perr->msg );
    if( cbErrorMsgMax > 0 ) {
        len = MIN( len, cbErrorMsgMax );
        strncpy( szErrorMsg, perr->msg, len );
    } else {
        strcpy( szErrorMsg, perr->msg );
    }

    if( pcbErrorMsg ) *pcbErrorMsg = len;
    if( perr ) *perr->msg = 0;
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLExecDirect(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szSqlStr,
    SQLINTEGER         cbSqlStr)
{
    IB_STMT *pstmt = (IB_STMT *)hstmt;
    IB_DBC  *pdbc;

    if( pstmt == NULL ) return SQL_ERROR;

    pdbc = pstmt->pare_dbc;
    my_log("execdirect prepare...");
    if( !pstmt->prepared ) {
        if( SQLPrepare( hstmt, szSqlStr, cbSqlStr ) < 0 ) {
            my_log("execdirect prepare...error");
            SetSrvErr( &pstmt->err ) ;
            return SQL_ERROR;
        }
    }
    my_log("execdirect execute...");
    return( SQLExecute( hstmt ) );
}

SQLRETURN SQL_API SQLExecute(
    SQLHSTMT           hstmt)
{
    IB_STMT *pstmt = (IB_STMT *)hstmt;
    IB_DBC  *pdbc;
    ISC_STATUS *status;

    if( pstmt == NULL ) return SQL_ERROR;
    pdbc = pstmt->pare_dbc;
    status = pstmt->err.status;
    if( pstmt->prepared == FALSE ) {
        return SQL_ERROR;
    }
    if( isc_dsql_execute(status, &pdbc->htrans, &pstmt->isc_hstmt, 1, NULL ) ) {
        SetSrvErr( &pstmt->err ) ;
        return SQL_ERROR;
    }
    if( !pstmt->is_result && !pdbc->is_noautocommit ) {
        SQLTransact( pdbc->pare_env, pdbc, SQL_COMMIT );
    }

    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLFetch(
    SQLHSTMT           hstmt)
{
    IB_STMT *pstmt = (IB_STMT *)hstmt;
    ISC_STATUS *status;
    int fetch_stat;

    if( pstmt == NULL ) return SQL_ERROR;


    status = pstmt->err.status;
    DumpSqlda( pstmt->sqlda );
    if( ( fetch_stat =
        isc_dsql_fetch(status, &pstmt->isc_hstmt, 1, pstmt->sqlda ) ) == 0 )
    {
        PutAppData( pstmt );
        return SQL_SUCCESS;
    }

    // CLOSE が必要か要検討!!!
    if( fetch_stat == 100 ) return SQL_NO_DATA_FOUND;
    SetSrvErr( &pstmt->err ) ;
    return SQL_ERROR;
}

SQLRETURN SQL_API SQLFreeConnect(
    SQLHDBC            hdbc)
{
    IB_DBC  *pdbc  = (IB_DBC *)hdbc, *pdbc2;
    IB_ENV  *penv;
    IB_STMT *pstmt;

    if( pdbc == NULL ) return SQL_ERROR;

    pstmt = pdbc->stmt;
    while( pstmt ) {
        SQLFreeStmt( (SQLHSTMT)pstmt, SQL_DROP );
        pstmt = (IB_STMT *)pstmt->next_stmt;
    }
    if( pdbc->is_open ) {
        SQLDisconnect( hdbc );
    }

    // env のリストの付け替え
    penv = pdbc->pare_env;
    if( penv->dbc == pdbc ) {
        penv->dbc = pdbc->next_dbc;
    } else {
        pdbc2 = penv->dbc;
        while( pdbc2->next_dbc ) {
            if( pdbc2->next_dbc == pdbc ) {
                pdbc2->next_dbc = pdbc->next_dbc;
                break;
            }
            pdbc2 = pdbc2->next_dbc;
        }
    }

    free( pdbc );
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLFreeEnv(
    SQLHENV            henv)
{
    IB_ENV *penv = (IB_ENV *)henv;
    IB_DBC *pdbc;

    if( penv == NULL ) return SQL_ERROR;

    pdbc = penv->dbc;
    while( pdbc ) {
        SQLFreeConnect( (SQLHDBC)pdbc );
        pdbc = (IB_DBC *)pdbc->next_dbc;
    }
    free( penv );
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLFreeStmt(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       fOption)
{
    IB_STMT *pstmt = (IB_STMT *)hstmt, *pstmt2;
    ISC_STATUS  *status;
    IB_DBC  *pdbc;

    if( pstmt == NULL ) return SQL_ERROR;

    pdbc = pstmt->pare_dbc;
    status = pstmt->err.status;

    if( pdbc->htrans ) {
        if( !pdbc->is_noautocommit ) {
            SQLTransact( pdbc->pare_env, pdbc, SQL_COMMIT );
        }
    }
    if( fOption == SQL_DROP ) {
        if( isc_dsql_free_statement( status, &pstmt->isc_hstmt, DSQL_drop) ) {
            SetSrvErr( &pstmt->err ) ;
            return SQL_ERROR;
        }
    }

    if( pstmt->sqlda ) {
        free( pstmt->sqlda );
        pstmt->sqlda = NULL;
    }
    if( pstmt->xchgs ) {
        free( pstmt->xchgs );
        pstmt->xchgs = NULL;
    }
    if( pstmt->data  ) {
        free( pstmt->data );
        pstmt->data = NULL;
    }
    pstmt->prepared = FALSE;

    if( fOption == SQL_DROP ) {
        // dbc のリストの付け替え
        pdbc = pstmt->pare_dbc;
        if( pdbc->stmt == pstmt ) {
            pdbc->stmt = pstmt->next_stmt;
        } else {
            pstmt2 = pdbc->stmt;
            while( pstmt2->next_stmt ) {
                if( pstmt2->next_stmt == pstmt ) {
                    pstmt2->next_stmt = pstmt->next_stmt;
                    break;
                }
                pstmt2 = pstmt2->next_stmt;
            }
        }
        free( pstmt );
    }
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLGetCursorName(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCursor,
    SQLSMALLINT        cbCursorMax,
    SQLSMALLINT FAR   *pcbCursor)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLNumResultCols(
    SQLHSTMT           hstmt,
    SQLSMALLINT FAR   *pccol)
{
    IB_STMT *pstmt = (IB_STMT *)hstmt;
    if( pstmt == NULL ) return SQL_ERROR;
    if( pccol ) *pccol = pstmt->sqlda->sqld;
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLPrepare(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szSqlStr,
    SQLINTEGER         cbSqlStr)
{
    IB_STMT *pstmt = (IB_STMT *)hstmt;
    IB_DBC  *pdbc;
    ISC_STATUS *status;
    XSQLDA  *sqlda;
    XSQLVAR *var;
    int  i;

    if( pstmt == NULL ) return SQL_ERROR;

    status = pstmt->err.status;
    pdbc = pstmt->pare_dbc;
    sqlda = pstmt->sqlda = malloc( XSQLDA_LENGTH(20)); // default
    sqlda->sqln = 20;
    sqlda->version = 1;


    // トランザクションハンドルの準備
    if( !pdbc->htrans ) {
        isc_start_transaction( status, &pdbc->htrans, 1, &pdbc->db, 0, NULL );
    }

    my_log("prepare...");
    if( isc_dsql_prepare( status, &pdbc->htrans, &pstmt->isc_hstmt, 0,
        szSqlStr, 1, pstmt->sqlda ) )
    {
        my_log("prepare...error");
        free( pstmt->sqlda );
        my_log("prepare...free");
        pstmt->sqlda = NULL;
        SetSrvErr( &pstmt->err ) ;
        return SQL_ERROR;
    }
    my_log("prepare...ok");

    if( sqlda->sqld == 0 ) {
        // non select query
        pstmt->is_result = FALSE;
    } else {
        // select query
        int cols = sqlda->sqld;
        int total_length = 0;

        pstmt->is_result = TRUE;
        if( cols > sqlda->sqln ) {
            sqlda = realloc( sqlda, XSQLDA_LENGTH(cols) );
            sqlda->sqln = cols;
            isc_dsql_describe(status, &pstmt->isc_hstmt, 1, sqlda );
            cols = sqlda->sqln;
        }

        // pass-1 格納に必要な長さ
        // ALINGMENT（境界）は無視します。（あんまり変わんないでしょう）
        for( var = sqlda->sqlvar, i = 0; i < cols; var++, i++) {
            int length, type;
            length = var->sqllen;
            type   = var->sqltype & ~1; // NULL 識別を落とす
            if( type == IB_SQL_VARYING) {
                length += sizeof(short);
            }
            length += sizeof(short);
            total_length += length;
        }
        pstmt->data = malloc( total_length );
        memset( pstmt->data, 0, total_length );

        // pass-2 割り付け
        total_length = 0;
        for( var = sqlda->sqlvar, i = 0; i < cols; var++, i++) {
            int length, type;
            length = var->sqllen;
            type   = var->sqltype & ~1; // NULL 識別を落とす
            var->sqldata = pstmt->data + total_length;
            if( type == IB_SQL_VARYING) {
                length += sizeof(short);
            }
            total_length += length;
            var->sqlind = (short *)((char *)pstmt->data + total_length);
            total_length += sizeof(short);
        }
    }
    pstmt->xchgs = malloc( sizeof( IB_XCHG ) * sqlda->sqld );
    pstmt->prepared = TRUE;
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLRowCount(
    SQLHSTMT           hstmt,
    SQLINTEGER FAR    *pcrow)
{
    IB_STMT *pstmt = (IB_STMT *)hstmt ;

    DumpStatus( pstmt->err.status );
    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLSetCursorName(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCursor,
    SQLSMALLINT        cbCursor)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLTransact(
    SQLHENV            henv,
    SQLHDBC            hdbc,
    SQLUSMALLINT       fType)
{
    IB_DBC *pdbc = (IB_DBC *)hdbc;

    if( fType == SQL_COMMIT ) {
        if( isc_commit_transaction( pdbc->err.status, &pdbc->htrans ) ) {
            SetSrvErr( &pdbc->err ) ;
            return SQL_ERROR;
        }
        return SQL_SUCCESS;
    }
    if( fType == SQL_ROLLBACK ) {
        if( isc_rollback_transaction( pdbc->err.status, &pdbc->htrans ) ) {
            SetSrvErr( &pdbc->err ) ;
            return SQL_ERROR;
        }
        return SQL_SUCCESS;
    }
    return SQL_ERROR;
}


SQLRETURN SQL_API SQLSetParam(            /*      Use SQLBindParameter */
    SQLHSTMT           hstmt,
    SQLUSMALLINT       ipar,
    SQLSMALLINT        fCType,
    SQLSMALLINT        fSqlType,
    SQLUINTEGER        cbParamDef,
    SQLSMALLINT        ibScale,
    SQLPOINTER         rgbValue,
    SQLINTEGER FAR     *pcbValue)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLColumns(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCatalogName,
    SQLSMALLINT        cbCatalogName,
    SQLCHAR FAR       *szSchemaName,
    SQLSMALLINT        cbSchemaName,
    SQLCHAR FAR       *szTableName,
    SQLSMALLINT        cbTableName,
    SQLCHAR FAR       *szColumnName,
    SQLSMALLINT        cbColumnName)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLGetConnectOption(
    SQLHDBC            hdbc,
    SQLUSMALLINT       fOption,
    SQLPOINTER         pvParam)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLGetData(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       icol,
    SQLSMALLINT        fCType,
    SQLPOINTER         rgbValue,
    SQLINTEGER         cbValueMax,
    SQLINTEGER FAR    *pcbValue)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLGetFunctions(
    SQLHDBC            hdbc,
    SQLUSMALLINT       fFunction,
    SQLUSMALLINT FAR  *pfExists)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLGetInfo(
    SQLHDBC            hdbc,
    SQLUSMALLINT       fInfoType,
    SQLPOINTER         rgbInfoValue,
    SQLSMALLINT        cbInfoValueMax,
    SQLSMALLINT FAR   *pcbInfoValue)
{
    switch( fInfoType ) {
      case SQL_DRIVER_ODBC_VER:
        if( rgbInfoValue && cbInfoValueMax > 5 ) {
            strcpy( rgbInfoValue, "02.00" );
            if( pcbInfoValue ) *pcbInfoValue = 5;
        }
        break;
    }

    return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLGetStmtOption(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       fOption,
    SQLPOINTER         pvParam)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLGetTypeInfo(
    SQLHSTMT           hstmt,
    SQLSMALLINT        fSqlType)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLParamData(
    SQLHSTMT           hstmt,
    SQLPOINTER FAR    *prgbValue)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLPutData(
    SQLHSTMT           hstmt,
    SQLPOINTER         rgbValue,
    SQLINTEGER         cbValue)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLSetConnectOption(
    SQLHDBC            hdbc,
    SQLUSMALLINT       fOption,
    SQLUINTEGER        vParam)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLSetStmtOption(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       fOption,
    SQLUINTEGER        vParam)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLSpecialColumns(
    SQLHSTMT           hstmt,
    SQLUSMALLINT       fColType,
    SQLCHAR FAR       *szCatalogName,
    SQLSMALLINT        cbCatalogName,
    SQLCHAR FAR       *szSchemaName,
    SQLSMALLINT        cbSchemaName,
    SQLCHAR FAR       *szTableName,
    SQLSMALLINT        cbTableName,
    SQLUSMALLINT       fScope,
    SQLUSMALLINT       fNullable)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLStatistics(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCatalogName,
    SQLSMALLINT        cbCatalogName,
    SQLCHAR FAR       *szSchemaName,
    SQLSMALLINT        cbSchemaName,
    SQLCHAR FAR       *szTableName,
    SQLSMALLINT        cbTableName,
    SQLUSMALLINT       fUnique,
    SQLUSMALLINT       fAccuracy)
{
	return SQL_SUCCESS;
}

SQLRETURN SQL_API SQLTables(
    SQLHSTMT           hstmt,
    SQLCHAR FAR       *szCatalogName,
    SQLSMALLINT        cbCatalogName,
    SQLCHAR FAR       *szSchemaName,
    SQLSMALLINT        cbSchemaName,
    SQLCHAR FAR       *szTableName,
    SQLSMALLINT        cbTableName,
    SQLCHAR FAR       *szTableType,
    SQLSMALLINT        cbTableType)
{
	return SQL_SUCCESS;
}


SQLRETURN SQL_API SQLDataSources(
    SQLHENV            henv,
    SQLUSMALLINT       fDirection,
    SQLCHAR FAR       *szDSN,
    SQLSMALLINT        cbDSNMax,
    SQLSMALLINT FAR   *pcbDSN,
    SQLCHAR FAR       *szDescription,
    SQLSMALLINT        cbDescriptionMax,
    SQLSMALLINT FAR   *pcbDescription)
{
	return SQL_SUCCESS;
}

#define ODBC_INI_FILE "ODBC.INI"

// データソースからの情報取得
void IBGetDSNInfo( char *dest, int limit, char *szDSN, char *szEntry ) {
    GetPrivateProfileString( szDSN, szEntry,"", dest, limit, ODBC_INI_FILE );
}


SQLSMALLINT CvIbToSqlType( XSQLVAR *var ) {
    SQLSMALLINT odbctype = 0;
    short type ;

    type = var->sqltype & ~1;  // nullable
    switch( type ) {

      case IB_SQL_TEXT :
        if( var->sqllen > 254 ) odbctype = SQL_LONGVARCHAR;
        else odbctype = SQL_CHAR;
        break;

      case IB_SQL_VARYING :
        if( var->sqllen > 254 ) odbctype = SQL_LONGVARCHAR;
        else odbctype = SQL_VARCHAR;
        break;

      case IB_SQL_SHORT :
        odbctype = SQL_SMALLINT;
        break;

      case IB_SQL_LONG  :
        odbctype = SQL_INTEGER;
        break;

      case IB_SQL_FLOAT :
        odbctype = SQL_FLOAT;
        break;

      case IB_SQL_INT64  :
      case IB_SQL_DOUBLE :
      case IB_SQL_D_FLOAT :
        odbctype = SQL_DOUBLE;
        break;

      case IB_SQL_TIMESTAMP :
        odbctype = SQL_TIMESTAMP;
        break;

      case IB_SQL_ARRAY :
      case IB_SQL_QUAD  :
      case IB_SQL_BLOB :
        if( var->sqllen > 254 ) odbctype = SQL_LONGVARBINARY;
        else odbctype = SQL_BINARY;
        break;

      case IB_SQL_TYPE_TIME :
        odbctype = SQL_TIME;
        break;

      case IB_SQL_TYPE_DATE :
        odbctype = SQL_TIMESTAMP;
        break;

    }
    return( odbctype );
}

void PutAppData( IB_STMT *pstmt ) {
    int i;
    XSQLDA   *sqlda;
    XSQLVAR  *var;
    IB_XCHG  *xchg;

    sqlda = pstmt->sqlda;
    for( i = 0; i < sqlda->sqld; i++ ) {
        var = &sqlda->sqlvar[i];
        xchg = &pstmt->xchgs[i];
        if( !xchg->is_bind ) continue;
        PutAppDataCol( xchg, var );
    }
}

void PutAppDataCol( IB_XCHG *xchg, XSQLVAR *var ) {
    SQLSMALLINT odbctype = 0;
    short type ;
    int len = 0;

    type = var->sqltype & ~1;
    switch( xchg->ctype ) {
      case SQL_C_CHAR:
        switch( type ) {

          case IB_SQL_TEXT :
            len = MIN( xchg->limit, var->sqllen );
            strncpy( (char *)xchg->data, (char *)var->sqldata, len );
            if( xchg->pind ) *xchg->pind = len;
            break;

          case IB_SQL_VARYING :
            len = MIN( xchg->limit, var->sqllen );
            len = MIN( len, *(short*)var->sqldata );
            strncpy( (char *)xchg->data,
                (char *)var->sqldata+sizeof(short), len );
            if( xchg->pind ) *xchg->pind = len;
            break;

          case IB_SQL_SHORT :
            break;
      
          case IB_SQL_LONG  :
            break;

          case IB_SQL_FLOAT :
            break;

          case IB_SQL_INT64  :
          case IB_SQL_DOUBLE :
          case IB_SQL_D_FLOAT :
            break;

          case IB_SQL_TIMESTAMP :
            break;

          case IB_SQL_ARRAY :
          case IB_SQL_QUAD  :
          case IB_SQL_BLOB :
            break;

          case IB_SQL_TYPE_TIME :
            break;

          case IB_SQL_TYPE_DATE :
            break;

        }
        if( len < xchg->limit ) *((char *)xchg->data+len) = 0; // NULL terminate
        break;

      case SQL_C_LONG:
      case SQL_C_ULONG:
      case SQL_C_SLONG:
        switch( type ) {
          case IB_SQL_SHORT :
            *(long *)xchg->data = *(short *)var->sqldata;
            break;
      
          case IB_SQL_LONG  :
            *(long *)xchg->data = *(long *)var->sqldata;
            break;
        }
        if( xchg->pind ) *xchg->pind = sizeof(long);
        break;

      case SQL_C_SHORT:
      case SQL_C_USHORT:
      case SQL_C_SSHORT:
        switch( type ) {
          case IB_SQL_SHORT :
            *(short *)xchg->data = *(short *)var->sqldata;
            break;
        }
        if( xchg->pind ) *xchg->pind = sizeof(short);
        break;

      case SQL_C_FLOAT:
        switch( type ) {
          case IB_SQL_SHORT :
            *(float *)xchg->data = *(short *)var->sqldata;
            break;
      
          case IB_SQL_LONG  :
            *(float *)xchg->data = (float)(*(long *)var->sqldata);
            break;

          case IB_SQL_FLOAT :
            *(float *)xchg->data = *(float *)var->sqldata;
            break;

          case IB_SQL_DOUBLE :
            *(float *)xchg->data = (float)(*(double *)var->sqldata);
            break;
        }
        if( xchg->pind ) *xchg->pind = sizeof(float);
        break;

      case SQL_C_DOUBLE:
        switch( type ) {
          case IB_SQL_SHORT :
            *(double *)xchg->data = *(short *)var->sqldata;
            break;
      
          case IB_SQL_LONG  :
            *(double *)xchg->data = *(long *)var->sqldata;
            break;

          case IB_SQL_FLOAT :
            *(double *)xchg->data = *(float *)var->sqldata;
            break;

          case IB_SQL_DOUBLE :
            *(double *)xchg->data = *(double *)var->sqldata;
            break;
        }
        if( xchg->pind ) *xchg->pind = sizeof(double);
        break;
      case SQL_C_DATE:
      case SQL_C_TIME:
      case SQL_C_TIMESTAMP:
        break;
    }
    if( xchg->pind ) {
        if( var->sqltype & 1 ) {
            *xchg->pind = -( *xchg->pind );
        }
    }
}

void SetSrvErr( IB_ERRINFO *err ) {
    err->is_server = TRUE;
    err->pstatus = NULL;
}

DumpSqlda( XSQLDA *sqlda ) {
    int i;
    XSQLVAR *var;

    return ;

    for(i=0;i<sqlda->sqld;i++ ) {
        var = &sqlda->sqlvar[i];
        printf( "##%*s,%d,%d,(%X,%X)##\n", var->sqlname_length, 
        var->sqlname, (int)var->sqltype, (int)var->sqllen,
        (int)var->sqldata, (int)var->sqlind );
    }
}

DumpStatus( long *status ) {
    int i;
    for(i=0;i<20;i++ ) {
        printf( "##%d##\n", status[i]);
    }
}

void my_log(char *str) {
    FILE *fp;
    if(  fp = fopen("iblog","a+" )  ) {
        fprintf(fp, "%s\n", str);
        fclose(fp);
    }
}


